net.dontdrinkandroot.lastfm.api.model

## Class Wiki

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Wiki

All Implemented Interfaces:
  Serializable

    public class Wiki
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static SimpleDateFormat` `PUBLISHED_FORMAT`

### Constructor Summary

Constructors
Constructor and Description
`Wiki(Element element)` Generate Wiki from an XML Element.

### Method Summary

Methods
`String` `getContent()`
`Date` `getPublished()`
`void` `setContent(String content)`
`void` `setPublished(Date published)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PUBLISHED_FORMAT

    public static final transient SimpleDateFormat PUBLISHED_FORMAT

### Constructor Detail

#### Wiki

    public Wiki(Element element)

Generate Wiki from an XML Element.

Parameters:
  `element` - The XML Element to convert.

### Method Detail

#### getPublished

    public final Date getPublished()

#### setPublished

    public final void setPublished(Date published)

#### getContent

    public final String getContent()

#### setContent

    public final void setContent(String content)